Subject: perlpkg-5.003 (Newton Book Man Pages)
From: [email-masked] (Chris Nandor)
Date: 12 Oct 1996 21:24:37 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

----------------------------------------------------------------------------
Currently available at:
   http://pudge.petersons.com/perlpkg/
   http://perl.com/CPAN/authors/id/CNANDOR/

Hopefully, soon to be moved to CPAN/doc/manual/newton/
----------------------------------------------------------------------------
perl-pkg
----------------------------------------------------------------------------
Description

Perl 5.003 man pages in Newton Book Format (NewtonOS 2.0)

These turned out, for the most part, at lot better than I had hoped, thanks
to the nice HTML coding and the wonderful Newt's Cape by Steve Weyer. Please
send me any bugs or formatting errors. I don't know how much I will support
these, but I imagine I will update them at some point.

All links have been removed. I didn't feel like making this a
fully-functioning set of books with links, just a handy way to carry around
the Perl docs. Module man docs are not included, and I have no plans to
include them.

perldiag, perlfunc and perlguts pages are split up into several pages.
perldiag is organized alphabetically, while perlfunc and perlguts have the
main section separate, with the rest organized alphabetically, because my
Newton MP120 simply could not process files that big into books with Newt's
Cape.

The split files also have slight name changes so they will be more
descriptive and still fit in the Newton character limit for icon view. The
alphabetically listed files are pdiag-xx, pfunc-xx, pguts-xx.
----------------------------------------------------------------------------
Synopsis

perl-pkg.html   This Readme File (html)
perl-pkg.pkg    This Readme File (Newton Book)
perl-pkg.txt    This Readme File (text)
perl-pqr.pkg    Pudge's Quick Reference
perl-man.pkg    Perl overview
perlbook.pkg    Perl book information
perlbot.pkg     Perl OO tricks and examples
perlcall.pkg    Perl calling conventions from C
perldata.pkg    Perl data structures
perldebug.pkg   Perl debugging
pdiag-ad.pkg    Perl diagnostic messages (A-D)
pdiag-ep.pkg    Perl diagnostic messages (E-P)
pdiag-rz.pkg    Perl diagnostic messages (R-Z)
perldsc.pkg     Perl data structures intro
perlembed.pkg   Perl how to embed perl in your C or C++ app
perlform.pkg    Perl formats
perlfunc.pkg    Perl builtin functions
pfunc-ad.pkg    perlfunc (A-D)
pfunc-ek.pkg    perlfunc (E-K)
pfunc-lr.pkg    perlfunc (L-R)
pfunc-s.pkg     perlfunc (S)
pfunc-ty.pkg    perlfunc (T-Y)
perlguts.pkg    Perl internal functions for those doing extensions
pguts-ao.pkg    perlguts API Listing (A-O)
pguts-pz.pkg    perlguts API Listing (P-Z)
perlipc.pkg     Perl interprocess communication
perllol.pkg     Perl data structures: lists of lists
perlmod.pkg     Perl modules
perlobj.pkg     Perl objects
perlop.pkg      Perl operators and precedence
perlpod.pkg     Perl plain old documentation
perlre.pkg      Perl regular expressions
perlref.pkg     Perl references
perlrun.pkg     Perl execution and options
perlsec.pkg     Perl security
perlstyle.pkg   Perl style guide
perlsub.pkg     Perl subroutines
perlsyn.pkg     Perl syntax
perltie.pkg     Perl objects hidden behind simple variables
perltrap.pkg    Perl traps for the unwary
perlvar.pkg     Perl predefined variables
perlxs.pkg      Perl XS application programming interface
perlxstut.pkg   Perl XS tutorial
----------------------------------------------------------------------------
Release Notes

07-Oct-96

   * Updated with perl5.003 distribution.
   * Newt's Cape fixed bug with <XMP> tag that caused some problems with
     disappearing text in some places where a < or > showed up.
   * Split up perlguts APIs into two different files.
   * Fixed minor formatting problems.
   * Still having problem with TITLE of the perl overview manpage coming up
     incorrectly. For now, the name is changed to perl-man. Don't ask me, I
     can't figure it out.

12-Sep-96

First release. Not much else to say.
----------------------------------------------------------------------------
Hints

This whole thing won't fit on a 2MB card (probably on a 4). Put in the
packages you will be using frequently or whatever. For instance, the docs
for C programmers and extension writing (xs*, call, embed, guts, etc.) are
of no use to me, so I don't keep them on my Newton. I do, however, keep
almost everything else all on one 2MB card. I can fit everything except for
the xs, call, embed, guts, diag, pod, book and perl-man packages on my card
with about 8K to spare.

I use a package freezer (freeze-utilities-1.0, available from AMUG) so the
books don't take up heap space while they are not being used. The problem
with keeping them frozen, of course, is that they cannot be searched while
they are frozen.
----------------------------------------------------------------------------
Author

Chris Nandor
     [email-masked]
     http://pudge.petersons.com/

Created With:
Perl5.003 Distribution pods and pod2html
Newt's Cape
     http://www.netaxs.com/~weyer/newton/newtscape.html
Package Buddy
     http://rainbow.rmii.com/~rbruce/tactile/packageBuddy.html

Last Revised: 07-Oct-96

#================================================================
perl -e 'srand();if(rand>.5){$i=0;foreach(@ARGV){@$i=split(//);$z
[$i]=0;foreach(@$i){$s[$i][$z[$i]]=$_;$z[$i]++;}$i++;}foreach(@s)
{foreach(@$_) {print}print" ";$_++}}else{print(join(" ", @ARGV))}
print"\n"' McClellan Clan Motto: Think On

Chris Nandor                                       [email-masked]
PGP Key 0xB76E72AD                    http://pudge.petersons.com/